Subject: Need help building tools on NT 4.0 sp3
From: [email-masked] (Simon Quellen Field)

8 Jan 1999 23:31:48 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Configure is concluding that gcc doesn't work because
    gcc -o conftest conftest.c
does not produce a file called conftest (it produces conftest.exe,
and the test fails).  I also had to make three changes to configure
to get this far, which I hope are indicative of something I have set
up improperly.

The changes I had to make are:
     configsub=`echo ${progname} | sed 's/configure$/config.sub/'`
changed to
     configsub=`echo ${progname} | sed 's/configure/config.sub/'`

and
     moveifchange=`echo ${progname} | sed 's/configure$/move-if-change/'`
changed to
     moveifchange=`echo ${progname} | sed 's/configure/move-if-change/'`

These were necessary because the sed was finding nothing to change,
so 'configsub' was left as 'configure', which then got executed recursively.

The other thing I had to change was
    case "`grep '^# per\-host:' ${srcdir}/configure.in`" in
to
    case "`grep '^# per-host:' ${srcdir}/configure.in`" in

and

    case "`grep '^# per\-target:' ${srcdir}/configure.in`" in
to
    case "`grep '^# per-target:' ${srcdir}/configure.in`" in

These were necessary because the extra backslash was causing per-host
and per-target not to be found.

Here's what I did:

1. Download full.exe and run it to install the binaries in their default
locations.

2. Download dev-src.tar.bz2, decompress and de-tar it into /src

3. Tried to configure as documented in the README:
     bash
     cd /obj
     /src/configure --prefix=/install -v > configure.log 2>&1

4. When the above failed to detect that I wanted to build a native NT
    toolset (the host could not be determined) I specified more arguments:
    bash
    cd /obj
    MAKE_MODE=UNIX CONFIG_SHELL=/bin/sh CC=gcc /src/configure
--prefix=/install --host=i586-pc-cygwin32 --srcdir=/src --nfp >
configure.log 2>&1

5. At this point I made the changes to 'configure' to work around the problems
    I mentioned first.  Now it has built a Makefile in the /obj directory,
along
    with a directory called i586-pc-cygwin32 and a directory called intl.
    In the intl directory is the config.log file, which contains:

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

configure:562: checking for a BSD compatible install
configure:616: checking how to run the C preprocessor
configure:637: gcc -E  conftest.c >/dev/null 2>conftest.out
configure:677: checking whether make sets ${MAKE}
configure:706: checking for gcc
configure:783: checking whether the C compiler (gcc  ) works
configure:797: gcc -o conftest    conftest.c  1>&5
configure: failed program was:
#line 793 "configure"
#include "confdefs.h"
main(){return(0);}

   Gcc has compiled the file properly, but the name of the file is not
   'conftest', so the configure script cannot find 'conftest' and fails.

My questions are:
1. Is the distribution (dev-src.tar) supposed to be ready to build on NT?  Or
    is there a configuration step I missed that I need if I am not building
it on
    a UNIX variant?
2. Is there a document I forgot to read?  I have read the FAQ, the README,
    and the mailing list for January and December.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".